# Computer Vision and Data Visualization Project

![Python](https://img.shields.io/badge/python-3.12+-blue.svg)
![License](https://img.shields.io/badge/license-MIT-green.svg)

A Python project for computer vision and data visualization tasks using OpenCV, Matplotlib, and related libraries.

## 📋 Table of Contents
- [Computer Vision and Data Visualization Project](#computer-vision-and-data-visualization-project)
  - [📋 Table of Contents](#-table-of-contents)
  - [✨ Features](#-features)
  - [📦 Dependencies](#-dependencies)
    - [Core Libraries](#core-libraries)
    - [Supporting Libraries](#supporting-libraries)
  - [🚀 Installation](#-installation)

## ✨ Features
- Image processing with OpenCV and Pillow
- Data visualization with Matplotlib
- HTTP requests handling
- Tkinter-based HTML rendering
- Cross-platform compatibility

## 📦 Dependencies

### Core Libraries
| Package | Version | License | Purpose |
|---------|---------|---------|---------|
| opencv-python | 4.11.0.86 | Apache-2.0 | Computer vision |
| matplotlib | 3.10.1 | PSF | Data visualization |
| numpy | 2.2.5 | BSD-3-Clause | Numerical computing |
| requests | 2.32.4 | Apache-2.0 | HTTP requests |
| Pillow | 10.4.0 | HPND | Image processing |

### Supporting Libraries
| Package | Version | License |
|---------|---------|---------|
| certifi | 2025.4.26 | MPL-2.0 |
| charset-normalizer | 3.4.2 | MIT |
| contourpy | 1.3.2 | BSD-3-Clause |
| cycler | 0.12.1 | BSD-3-Clause |
| fonttools | 4.57.0 | MIT |
| idna | 3.10 | BSD-3-Clause |
| kiwisolver | 1.4.8 | BSD-3-Clause |
| packaging | 25.0 | BSD/Apache-2.0 |
| PyOpenGL | 3.1.9 | BSD-3-Clause |
| pyopengltk | 0.0.4 | MIT |
| pyparsing | 3.2.3 | MIT |
| python-dateutil | 2.9.0.post0 | BSD-3-Clause |
| six | 1.17.0 | MIT |
| tifffile | 2025.3.30 | BSD-3-Clause |
| tkhtmlview | 0.3.1 | MIT |
| urllib3 | 2.4.0 | MIT |

## 🚀 Installation

1. **Prerequisites**
   - Python 3.12 or higher
   - Tkinter (usually included with Python)

2. **Install dependencies**:
   ```bash
   pip install -r requirements.txt